## netscape4 4.0-12

=== sources/plugger-2.2/Makefile ===
# Where is your Plugin Source Development Kit from Netscape?
SDK=/home/hubbe/src/PluginSDK30b5

# Where is your Xwindows located?
X11=/usr/X11/

# Linux
CC=gcc -fpic
LD=gcc -shared 

# Solaris
#CC=gcc -fpic
#CC=cc
#LD=ld -G

# OSF1 (Digital Unix)
#CC=cc
#LD=ld -shared

# For other systems, look at the example makefiles in the
# PluginSDK30b5/examples/UnixTemplate/Unix directory

# Undefine STREAMER to disable the streaming feature in plugger.
STREAM=-DSTREAMER

#
# No user servicable parts beyond this point
# 

VERSION=2.2

DEFINES=$(STREAM) -DVERSION=\"$(VERSION)\"  # -DDEBUG # -DPLUGIN_TRACE
CFLAGS=-O -I$(SDK)/include -I$(X11)/include -DXP_UNIX $(DEFINES) 

plugger.so: plugger.o common.o
	$(LD) -o plugger.so plugger.o common.o

plugger.o: plugger.c mime.h
	$(CC) -c $(CFLAGS) -o plugger.o plugger.c

common.o: $(SDK)/common/npunix.c
	$(CC) -c $(CFLAGS) -o common.o $(SDK)/common/npunix.c

clean:
	-rm *.o

spotless: clean
	-rm *.so *~

localinstall: plugger.so
	cp plugger.so $(HOME)/.netscape/plugins/

install: plugger.so
	cp plugger.so /usr/local/lib/netscape/plugins/

export: spotless
	( cd .. ; tar czvf plugger-$(VERSION).tar.gz plugger-$(VERSION) )

=== debian/changelog ===
netscape4 (4.0-12) frozen-contrib contrib; urgency=low

  * Fixed upgrade problem (afaict) (Bug#22559, Bug#22624)
  * Don't reset /var/spool/mail perms (Bug#22702)
  * Fixed copyright file problems (Bug#22563)

 -- Brian White <bcwhite@pobox.com>  Mon, 25 May 1998 15:11:49 -0400

netscape4 (4.0-11) frozen-contrib contrib; urgency=low

  * Unset GZIP env var when calling ns-install (Bug#22447)
  * Remove any created "/usr/lib/netscape/.netscape" stuff
  * Try to be sure that linked files get removed

 -- Brian White <bcwhite@pobox.com>  Thu, 14 May 1998 11:26:29 -0400

netscape4 (4.0-10) frozen-contrib contrib; urgency=low

  * Fixed upload problem (closes already fixed bugs #20343)
  * Support archive with subdirectories (Bug#20564)
  * Fixed setgid bit of movemail (Bug#20873)
  * Made all files owner-writeable (Bug#20873)
  * Don't load home page if want "previous page visited" (Bug#20475)

 -- Brian White <bcwhite@pobox.com>  Sat, 11 Apr 1998 13:49:54 -0400

netscape4 (4.0-9) unstable; urgency=low

  * Strip (unneeded) symbols from .so libs (Bug#19375)
  * Moved to section "web" (Bug#19375)
  * Fixed spelling mistake in package description (Bug#18923)
  * Fixed typo in postinst (Bug#18068)
  * Don't install mail/news menu entries for communicator (Bug#18486)
  * Fixed wrapper extraction of home page (Bug#18551)
  * Made explicit use of /bin/bash because of wrapper bashism (Bug#18701)
  * Fixed problem with dangerous LC_NUMERIC (Bug#18632)

 -- Brian White <bcwhite@pobox.com>  Wed, 11 Mar 1998 21:29:45 -0500

netscape4 (4.0-8) unstable; urgency=low

  * Fixed typo in postinst (Bug#18068)
  * Fixed section in control file (Bug#19375)

 -- Brian White <bcwhite@pobox.com>  

netscape4 (4.0-7) unstable; urgency=low

  * Added "plugger" for external mime-type handling
  * Fixed group of installed movemail program (Bug#14227)
  * Removed binaries compiled dynamically against motif (Bug#14228)
  * Removed extra xpm4.7 dependancy (Bug#14233)
  * Fixed problem with menu entries not appearing (Bug#14248)
  * Removed definition of LD_LIBRARY_PATH (Bug#14249)
  * Fixed default movemail program (Bug#14624)
  * Fixed problem overwriting user's .netscape directory (Bug#14823)
  * Removed incorrect libc6 dependancy (Bug#15026)
  * Fixed problem removing files in other packages (Bug#15090)
  * Allow installation of navigator standalone (Bug#16121)
  * No longer leaves a created .netscape directory (Bug#16236)
  * Fixed \t problem in wrapper script (Bug#16361)
  * Moved /usr/local directories making to inst scripts (Bug#17383)
  * Improved "not found" error message (Bug#17467)

 -- Brian White <bcwhite@pobox.com>  Sat, 7 Feb 1998 18:28:17 -0500

netscape4 (4.0-6) unstable; urgency=low

  * Use external movemail by default (#8077)
  * Turned off HTML mail by default (#10435)
  * Added local copy of mail warning to /usr/doc/netscape (#11105)
  * Added /usr/lib/netscape to LD_LIBRARY_PATH (#11548)
  * Fixed problem with uninstalled wrapper (#11577)
  * Fixed message about purging netscape (#11846)
  * Made postinst detect errors in tar file (#11853, #11949)
  * Made symlinks from doc to lib/netscape for README and app-defaults (#12329)
  * Fix file ownerships in /usr/lib/netscape (#12864)
  * Fix dependancy on libg++ (#13656)
  * Proper install fixes Java problems (#13747, #13751, #13764)

 -- Brian White <bcwhite@pobox.com>  Mon, 27 Oct 1997 17:13:14 -0500

netscape4 (4.0-5) unstable; urgency=low

  * Will not allow netscape to be run as uid/euid 0
  * Improved netscape wrapper (will call existing netscape if running)
  * Allowed installation of non-beta versions when they become available

 -- Brian White <bcwhite@pobox.com>  Thu, 24 Jul 1997 11:36:17 -0400

netscape-installer (4.0-4) frozen unstable; urgency=low

  * Verify that communicator package is owned by root before install
  * Improved package description and error messages

 -- Brian White <bcwhite@pobox.com>  Sat, 26 Apr 1997 12:53:21 -0400

netscape-installer (4.0-3) frozen unstable; urgency=low

  * Fixed name of menu to match that of package (Bug#8860)

 -- Brian White <bcwhite@pobox.com>  Mon, 21 Apr 1997 14:59:24 -0400

netscape-installer (4.0-2) contrib; urgency=low

  * Now uses provided "ns-install" script
  * Should no longer be dependant on minor versions

 -- Brian White <bcwhite@pobox.com>  Mon, 7 Apr 1997 11:03:29 -0400

netscape-installer (3.01-6) contrib; urgency=high

  * Fixed stupid mistake with archive file name (Bug#8574)

 -- Brian White <bcwhite@pobox.com>  Mon, 7 Apr 1997 11:03:29 -0400

netscape-installer (3.01-5) contrib; urgency=low

  * Set env var "$display" to be same as "$DISPLAY" to work around "test" bug
  * Changed undocumented link to point to new compressed page (Bug#7800)
  * Fixed bug in postinst caused by removing current directory (Bug#8076)

 -- Brian White <bcwhite@pobox.com>  Wed, 2 Apr 1997 14:41:49 -0500

netscape-installer (4.0-1) contrib; urgency=low

  * New upstream version (Bug#7600)

 -- Brian White <bcwhite@pobox.com>  Sun, 2 Mar 1997 20:49:49 -0500

netscape-installer (3.01-4) contrib; urgency=low

  * Changed wrapper to set NPX_PLUGIN_PATH to include local plugins (Bug#7381)
  * Added netscape entries to standard menus (Bug#7438)

 -- Brian White <bcwhite@pobox.com>  Sun, 2 Mar 1997 20:49:49 -0500

netscape-installer (3.01-3) contrib; urgency=low

  * Fixed problem using netscape with bash 2.0 (Bug#7005)
  * Fixed problems reported by debcheck (Bug#6274)
  * Changed wrapper to set MALLOC_CHECK_ instead of LD_PRELOAD

 -- Brian White <bcwhite@pobox.com>  Sat,  1 Feb 1997 16:29:22 -0500

netscape-installer (3.01-2) contrib; urgency=low

  * Minor Debian configuration changes

 -- Brian White <bcwhite@pobox.com>  Fri, 22 Nov 1996 13:43:40 -0500

netscape-installer (3.01-1) contrib; urgency=low

  * New Netscape release
  * Set to load "libgnumalloc" before libc 5.4.7

 -- Brian White <bcwhite@pobox.com>  Mon, 11 Nov 1996 14:52:26 -0500

netscape-installer (3.0-1) contrib; urgency=low



=== debian/control ===
Source: netscape4
Section: web
Priority: optional
Maintainer: Brian White <bcwhite@pobox.com>
Standards-Version: 2.1.3.0

Package: netscape4
Architecture: i386
Provides: netscape, www-browser, news-reader, mail-reader
Conflicts: netscape, netscape-beta
Replaces: netscape, netscape3, netscape-beta
Depends: motifnls, ${shlibs:Depends}
Recommends: mime-support
Suggests: imagemagick
Description: Popular World-Wide-Web browser software (installer)
 Netscape (pronounced "Mozilla") is a graphical World-Wide-Web browser
 with many features.  It supports advanced features of HTML and new
 technologies such as "Java" from Sun Microsystems.
 .
 You will need the "ImageMagick" package installed if you wish to
 get inline support of image types not directly supported by netscape.
 .
 Netscape Communications Corporation does not allow redistribution of
 their software.  Therefore, this package requires the user to fetch
 the netscape archive separately and place it in the directory pointed
 to by the TMPDIR environment variable (or /tmp if TMPDIR not defined)
 before attempting to install this package.  You can get the linux
 package via anonymous ftp from "ftp.netscape.com" under the
 directory "/pub/communicator".  The archive must be readable and
 owned by root before it can be installed.

=== debian/rules ===
#! /usr/bin/make -f
#
# Debian rules for building Netscape
#


nsdist1	:= communicator-v4*.x86-*-linux*.tar*
nsdist2	:= navigator-v4*.x86-*-linux*.tar*
package	:= netscape
version	:= 4



default:
	@echo "Build 'binary', 'clean', or 'source'?"
	@echo " "


build:
	@echo "Nothing to build for $(package)."


clean:
	test -f debian/rules
	-rm -rf debian/tmp debian/files debian/substvars
	find . \( -name "*~" -o -name "#*" \) -print | xargs rm -f


binary:	
	test -f debian/rules
	test root = "`whoami`"
	-rm -rf debian/tmp
	mkdir -p debian/tmp/DEBIAN debian/tmp/usr/bin
	mkdir -p debian/tmp/usr/X11R6/bin debian/tmp/usr/X11R6/man/man1
	mkdir -p debian/tmp/usr/doc/$(package) debian/tmp/usr/lib/menu
	mkdir -p debian/tmp/usr/lib/$(package)/plugins debian/tmp/usr/lib/$(package)/.$(package)
	mkdir -p debian/tmp/etc/skel/.$(package)
	install -m 755 nswrapper debian/tmp/usr/X11R6/bin/$(package)
	install -m 644 preferences.js debian/tmp/etc/skel/.$(package)
	install -m 644 debian/README debian/tmp/usr/doc/$(package)/copyright
	cd debian/tmp/usr/doc/$(package); ln -sf ../../lib/$(package)/LICENSE LICENSE
	cd debian/tmp/usr/doc/$(package); ln -sf ../../lib/$(package)/README README
	cd debian/tmp/usr/doc/$(package); ln -sf ../../lib/$(package)/Netscape.ad Netscape.app-defaults
	cd debian/tmp/usr/X11R6/man/man1; ln -sf ../../../man/man7/undocumented.7.gz $(package).1.gz
	cp debian/preinst   debian/tmp/DEBIAN/preinst
	cp debian/postinst  debian/tmp/DEBIAN/postinst
	cp debian/prerm     debian/tmp/DEBIAN/prerm
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
#	cp debian/menu      debian/tmp/usr/lib/menu/$(package)
	cp README.movemail  debian/tmp/usr/doc/$(package)
	for i in plugins/*; do \
		install -m 755 $$i		debian/tmp/usr/lib/netscape/plugins;	\
	done
	cd debian/tmp/usr/doc/$(package); gzip -9v `find . -type f ! -name "*.gz" -print`
	cd debian/tmp/DEBIAN; for i in *; do \
		mv $$i /tmp; \
		sed >$$i \
			-e 's|==DSTNAM1==|$(nsdist1)|g'		\
			-e 's|==DSTNAM2==|$(nsdist2)|g'		\
			-e 's|==PACKAGE==|$(package)|g'		\
			-e 's|==VERSION==|$(version)|g'		\
		/tmp/$$i; \
		rm -f /tmp/$$i; \
	done
	find debian/tmp -name "*.so" | xargs strip --strip-unneeded
	chmod 755 debian/tmp/DEBIAN/*inst debian/tmp/DEBIAN/*rm
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	for i in /usr/bin/X11/$(package) /usr/lib/$(package)/netscape; do \
		if [ -x $$i ]; then \
			if [ `head -1 $$i | egrep -c ^#!` -eq 0 ]; then \
				j="$$j $$i"; \
			fi; \
		fi; \
	done; \
	if [ -z "$$j" ]; then \
		j=/bin/sh; \
	fi; \
	echo dpkg-shlibdeps $$j; \
	dpkg-shlibdeps $$j
	dpkg-gencontrol -is -ip -p$(package)4
	dpkg --build debian/tmp
	dpkg-name -o -s .. debian/tmp.deb

## netscape4 4.0-15

=== debian/changelog ===
netscape4 (4.0-15) frozen-contrib contrib; urgency=low

  * Tell netscape not to spawn itself (Bug#30111)

 -- Brian White <bcwhite@pobox.com>  Mon, 30 Nov 1998 12:26:24 -0500

netscape4 (4.0-14) frozen-contrib contrib; urgency=low

  * Added tests to preinst and prerm scripts (Bug#23289)
  * Fixed glibc2 -> glibc in filename pattern (Bug#28438 and friends)
  * Added mailcap entries (Bug#28496)
  * Fixed lib dependancies (Bug#29132)

 -- Brian White <bcwhite@pobox.com>  Thu, 12 Nov 1998 10:52:42 -0500

netscape4 (4.0-13) contrib; urgency=low

  * Do reset /var/spool/mail perms (Bug#22968)
  * Improve wrapper -remote operation (Bug#22333,23133)
  * Now only libc6 (Bug#21056,24518,25505,26276)
  * Recognize communicator-pro (Bug#26825)

 -- Brian White <bcwhite@pobox.com>  Tue, 13 Oct 1998 17:29:37 -0400

=== debian/control ===
--- 
+++ 
@@ -28,3 +28,6 @@
  package via anonymous ftp from "ftp.netscape.com" under the
  directory "/pub/communicator".  The archive must be readable and
  owned by root before it can be installed.
+ .
+ Note: You'll need a "glibc2" version of the archive for this
+ installer.

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #
 
 
-nsdist1	:= communicator-v4*.x86-*-linux*.tar*
-nsdist2	:= navigator-v4*.x86-*-linux*.tar*
+nsdist1	:= communicator*-v4*.x86-*-linux*glibc*.tar*
+nsdist2	:= navigator*-v4*.x86-*-linux*glibc*.tar*
 package	:= netscape
 version	:= 4
 
@@ -35,9 +35,11 @@
 	mkdir -p debian/tmp/usr/doc/$(package) debian/tmp/usr/lib/menu
 	mkdir -p debian/tmp/usr/lib/$(package)/plugins debian/tmp/usr/lib/$(package)/.$(package)
 	mkdir -p debian/tmp/etc/skel/.$(package)
+	mkdir -p debian/tmp/usr/lib/mime/packages
 	install -m 755 nswrapper debian/tmp/usr/X11R6/bin/$(package)
 	install -m 644 preferences.js debian/tmp/etc/skel/.$(package)
 	install -m 644 debian/README debian/tmp/usr/doc/$(package)/copyright
+	install -m 644 mailcap debian/tmp/usr/lib/mime/packages/$(package)
 	cd debian/tmp/usr/doc/$(package); ln -sf ../../lib/$(package)/LICENSE LICENSE
 	cd debian/tmp/usr/doc/$(package); ln -sf ../../lib/$(package)/README README
 	cd debian/tmp/usr/doc/$(package); ln -sf ../../lib/$(package)/Netscape.ad Netscape.app-defaults
@@ -45,6 +47,7 @@
 	cp debian/preinst   debian/tmp/DEBIAN/preinst
 	cp debian/postinst  debian/tmp/DEBIAN/postinst
 	cp debian/prerm     debian/tmp/DEBIAN/prerm
+	cp debian/postrm    debian/tmp/DEBIAN/postrm
 	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
 #	cp debian/menu      debian/tmp/usr/lib/menu/$(package)
 	cp README.movemail  debian/tmp/usr/doc/$(package)
@@ -77,7 +80,7 @@
 		j=/bin/sh; \
 	fi; \
 	echo dpkg-shlibdeps $$j; \
-	dpkg-shlibdeps $$j
+	dpkg-shlibdeps $$j; \
 	dpkg-gencontrol -is -ip -p$(package)4
 	dpkg --build debian/tmp
 	dpkg-name -o -s .. debian/tmp.deb
